package work.xuye.common.alert;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author xuye
 * @since 2023/3/6 17:35
 **/
@Data
@Component
@ConfigurationProperties(prefix = AlertProperties.PROPERTIES_PREFIX)
public class AlertProperties {

    public static final String PROPERTIES_PREFIX = "alert";

    private DingTalk dingTalk;

    @Data
    public static class DingTalk {
        private String token;
    }


}
