package work.xuye.common.db.entity.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author xuye
 * @since 2023/2/17 23:41
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SinkParams {

    /**
     * 模板名称
     */
    private String templateName;
    /**
     * 映射名称
     */
    private String mappingName;
    /**
     * 根据哪个字段来判断这条数据是否需要执行update
     */
    private CheckUpdate checkUpdate;
    /**
     * 数据源名字
     */
    private String dataSourceName;

    /**
     * 表名
     */
    private String tableName;

    @Data
    public static class CheckUpdate {

        private String fieldName;

        private String jsonPath;
    }
}
