package work.xuye.sink.processor;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.messaging.Message;
import work.xuye.sink.handler.SinkHandler;

import java.util.function.Function;

/**
 * @author xuye
 * @since 2023/1/15 19:00
 **/
@Slf4j
@Configuration
@RequiredArgsConstructor
public class MessageProcessor {

    private final SinkHandler sinkHandler;

    @Bean
    public Function<Message<String>, Message<String>> sinkApi() {
        return sinkHandler::handle;
    }


}
