package work.xuye.sink.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @author xuye
 * @since 2023/1/14 21:50
 **/
@Data
@Component
@ConfigurationProperties(prefix = SinkProperties.PROPERTIES_PREFIX)
public class SinkProperties {

    public static final String PROPERTIES_PREFIX = "sink";
    private Map<String, List<MessageMapping>> messageMapping;


    @Data
    public static class MessageMapping {

        private String fieldName;

        private String expression;

    }


}
