package work.xuye.transformer.transformer;

import org.json.JSONObject;
import org.springframework.stereotype.Component;

/**
 * @author xuye
 * @since 2023/2/18 13:01
 **/
@Component("jsonIndent")
public class JsonIndentTransformer implements MessageTransformer {

    @Override
    public String transform(String message) {
        return new JSONObject(message).toString(4);
    }
}
